package com.liquidnet.service.kylin.dto.vo.ticketSystem;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel
public class OrderVo implements Serializable ,Cloneable{
    private static final long serialVersionUID = 4073256621782131607L;
    @ApiModelProperty(value = "票单id [必传]")
    private String ticketOrderId;
    @ApiModelProperty(value = "演出id [必传]")
    private String performanceId;
    @ApiModelProperty(value = "场次id [必传]")
    private String sessionId;
    @ApiModelProperty(value = "场次编码 [必传]")
    private String sessionCode;
    @ApiModelProperty(value = "票价id [必传]")
    private String priceId;
    @ApiModelProperty(value = "票价[必传 单位分]")
    private long ticketPrice;
    @ApiModelProperty(value = "票ID [必传]")
    private String ticketId;
    @ApiModelProperty(value = "票实收金额[必传 单位分]")
    private long ticketOrderAmount;

    private static final OrderVo obj = new OrderVo();

    public static OrderVo getNew() {
        try {
            return (OrderVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new OrderVo();
    }
}
